## debugcc 0.1.0

=== meson_options.txt ===
option('dynamic-linking',
  type: 'boolean',
  value: false,
  description: 'Build debugcc as a dynamically linked binary instead of static',
)

## debugcc 0.0~git20251107.a01ea9e

=== debian/changelog ===
debugcc (0.0~git20251107.a01ea9e-1) unstable; urgency=medium

  * Initial release. (Closes: #1095425)

 -- Christopher Obbard <obbardc@debian.org>  Wed, 26 Nov 2025 20:13:41 +0000

=== debian/control ===
Source: debugcc
Section: devel
Priority: optional
Maintainer: Christopher Obbard <obbardc@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 meson,
Standards-Version: 4.7.2
Homepage: https://github.com/linux-msm/debugcc
Vcs-Browser: https://salsa.debian.org/debian/debugcc
Vcs-Git: https://salsa.debian.org/debian/debugcc.git

Package: debugcc
Architecture: arm64
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: tool to debug Qualcomm SoC clock controllers
 debugcc is an open-source tool designed for debugging and analysing clock
 controllers on Qualcomm SoCs. Qualcomm SoCs have quite a complex clock
 architecture with multiple clock domains, hierarchical dependencies and dynamic
 frequency scaling mechanisms. debugcc provides a simplified list of the state
 of various clocks helping to diagnose clock-related issues.

=== debian/watch ===
version=4

opts=\
  mode=git,\
  pretty=0.0~git%cd.%h,\
  uversionmangle=s/^/0~git/ \
  https://github.com/linux-msm/debugcc.git \
  HEAD

## debugcc 0.1.0

=== debian/changelog ===
debugcc (0.1.0-1) unstable; urgency=medium

  * New upstream version 0.1.0
  * meson: add option to build debugcc as a dynamically linked binary
  * d/patches: Remove patches applied upstream
  * d/rules: Explicitly set dh build system to meson
  * d/rules: Set configuration option dynamic-linking
  * d/watch: Use tagged releases rather than git snapshots
  * d/control: Bump Standards-Version to 4.7.3

 -- Christopher Obbard <obbardc@debian.org>  Mon, 02 Mar 2026 01:37:28 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: debugcc
 Section: devel
-Priority: optional
 Maintainer: Christopher Obbard <obbardc@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  meson,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/linux-msm/debugcc
 Vcs-Browser: https://salsa.debian.org/debian/debugcc
 Vcs-Git: https://salsa.debian.org/debian/debugcc.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
		-Ddynamic-linking=true

=== debian/watch ===
version=4

https://github.com/linux-msm/debugcc/tags .*/v?(\d.*)@ARCHIVE_EXT@
